www.cendio.com

Bug 5159

Summary: ignore empty $TLCOMMAND? (regression)
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: MiscAssignee: Karl Mikaelsson <derfian@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se
Version: trunkKeywords: hean01_tester, prosaic
Target Milestone: 4.3.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2014-05-23 08:30:00
Bug 3249 and bug 5077 changed the behaviour of $TLCOMMAND so that an empty
command is no longer treated the same as a non-existent one.

We might want to change back to the old behaviour of ignoring an empty command.
Possibly with a warning...
------- Comment #1 From cendio 2014-07-25 11:30:38 -------
Fixed in r29221.

Zero-length or whitespace-only $TLCOMMAND will be ignored and a warning message
will be printed from both tl-select-profile and tl-run-profile.

I've decided to print warnings from both programs so we can be sure that
there's something in the log if the user decides to quit from
tl-select-profile. At the same time, tl-select-profile is optional so we need
to have something in tl-run-profile as well.
------- Comment #2 From cendio 2014-09-25 09:25:55 -------
Verified that information is logged and that logics isn't changed with and
without TLCOMMAND both as empty or with command using ThinLinc build 4497.